# Fuga: Melodies of Steel 3 1.2.1
# BID: FC79E853424FBE29

ALL_FPS:
  # Disable bUseFixedFrameRate
  -
    type: write
    address: [MAIN, 0x7B073D8, 0xAA4]
    address_unsafe: true
    value_type: uint32
    value: 7
  # r.VSync
  -
    type: write
    address: [MAIN, 0x6AE86E8, 0]
    value_type: int32
    value: [0, 0]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x7B08930, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  -
    type: block
    what: timing
